# Running test listener with SoapUI

In order to capture code coverage information from tests run with SoapUI, you need to run it with our test listener as a Java agent. The listener needs to be placed alongside the SoapUI installation and added to the JVP parameter using the `-javaagent` parameter together with its required parameters.

Below, two samples of different options to run Sealights Test Listener with SoapUI

### Command line <a href="#command-line" id="command-line"></a>

{% code overflow="wrap" lineNumbers="true" %}

```java
java -classpath <soapui.classpath> -javaagent:/path/to/sl-test-listener.jar -Dsl.tokenFile=/path/to/sltoken.txt -Dsl.buildSessionIdFile=buildSessionId.txt [-Dsl.labId=labID] -Dsl.testStage="Integration Tests" com.eviware.soapui.tools.SoapUITestCaseRunner <tests-configuration>
```

{% endcode %}

### Maven <a href="#maven" id="maven"></a>

As SoapUI is run sometimes with Maven, then this can also be achieved by adding us as a javaagent in the `exec-maven-plugin configuration`

For example:

{% code overflow="wrap" lineNumbers="true" %}

```java
<plugin>
    <groupId>org.codehaus.mojo</groupId>
    <artifactId>exec-maven-plugin</artifactId>
    <version>1.1.1</version>
        <executions>
            <execution>
                <phase>integration-test</phase>
                    <goals>
                        <goal>exec</goal>
                    </goals>
                    <configuration>
                        <executable>java</executable>
                            <arguments>
                                <argument>-classpath</argument>
                                <argument>${soapui.classpath}</argument>
                                <argument>-javaagent:${testlistener.path}</argument>
                                <argument>-Dsl.log.toConsole=true</argument>
                                <argument>-Dsl.tokenFile=${tokenfile.path}</argument>
                                <argument>-Dsl.buildSessionId=${bsid}</argument>
                                <argument>-Dsl.labId=${labid}</argument>                                
                                <argument>-Dsl.testStage=Integration Tests</argument>
                                <argument>com.eviware.soapui.tools.SoapUITestCaseRunner</argument>
                                <argument>${tests-configuration}</argument>
                           </arguments>
                    </configuration>
            </execution>
        </executions>
</plugin>
```

{% endcode %}

{% hint style="warning" %}
Sealights does not integrate with **soapui-maven-plugin**
{% endhint %}

{% hint style="info" %}
See [Command Reference](/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/command-reference.md#installing-test-listener-as-java-agent) for full parameter details
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealights.io/knowledgebase/setup-and-configuration/sealights-agents-and-plugins/java-agent/other-build-and-testing-tools/running-test-listener-with-soapui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
